import type { PopconfirmProps } from 'ant-design-vue';

type NotUndefined<T> = T extends undefined ? never : T;
type PopconfirmOnConfirmParameters = Parameters<NotUndefined<PopconfirmProps['onConfirm']>>;
export type HPopconfirmProps = {
  description: PopconfirmProps['description'];
  onConfirm?: (...args: PopconfirmOnConfirmParameters) => Promise<void>;
  title: PopconfirmProps['title'];
};
